      Program cifadf
C *********************************************************************
C *** Main program for the Computer Interface For ADF (CIFADF)      ***
C *********************************************************************
c
c
c *** jout  =  formatted file containing orbital information in standard
c              form. MOLDEN Format File.
c *** ipmat =  unformatted file for the density matrix. Same representation
c              as SMAT.
c
c     Modified version
c     V 0.0.2  -- 
c              erased CIFADF.OUT
c              erased unused SUBsc
c     V 0.0.4  -- 
c              Use MOLDEN command line routines
c     V 1.0.0  --
c              Removed Implicit declaretion
c     V 1.1.0  --
c              New Revisited Version of ADFrom
c              Added Frequencies and normal modes
c              
c
c
c
C *********************************************************************
c
c
      implicit none
      integer iu,jout
c
      call processcmd(jout)
c
c
c     Open and Init KF
c
      call cif_initkf(iu)
c
c     Read General DATA
c
      call rwgen(iu,jout)
c
c     Read Basis DATA
c
      call rwbasis(iu,jout)
c
c     Read Symmetry DATA
c
      call rwsym(iu,jout)
c
c     Read Geometry DATA not yet implemented
c
c      call rwgeom(iu,jout)
c
c     Read Linear Transit DATA
c
      call rwlint(iu,jout)
c
c     Read Frequencies DATA
c
      call rwfreq(iu,jout)
c
c     Close KF
c     This subroutine call only
c     the ADF routine kfclfl.
c     It is here now for future
c     porposes.
c
      call cif_closekf(iu)
c
c      call kfclfl(iu)
c
      call cifwrite (' ')
      call cifwrite (' Normal job termination. ')
      call cifwrite (' ')
c
      end
